当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [无解,已重装]求救!今天更新后很多程序无法启动!
帖子发表于 : 2010-05-26 16:20 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
今天早上突然更新了一下,之后发觉很多程序无法打开,首先是硅博,症状是点击后一丁点反应都没有。
首先是重启后,Compiz各种桌面效果没了,右上角任务栏上那个蓝色Compiz fusion icon图标也没有了,点击应用程序那个快捷方式也无法开启Compiz功能。
遂测试其他内容。
应用程序下:
办公软件一切正常。
附件一切正常。
互联网下除了硅博不能启动,其他一切正常。
图形下一切正常。
系统工具下,ubuntu tweak、ailurus compiz、fusion icon全部不能启动。
影音下,除了GTK recordMYDesktop、Pitivi视频编辑器、 rhythmbox音乐播放器不能启动,其他正常。
游戏则除了数独,其他启动正常。
ubuntu软件中心不能启动。
系统--首选项 下,与硅博、Compiz有关的选项不能启动,其他则正常。

下面是异常的终端:

leslie@leslie-desktop:~$ sudo apt-get update
命中 http://ubuntu.srt.cn lucid Release.gpg
······
······
······
获取:3 http://dl.google.com stable/main Packages [1,082B]
下载 3,815B,耗时 4秒 (948B/s)
正在读取软件包列表... 完成
leslie@leslie-desktop:~$ sudo apt-get upgrade
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件包未被升级。
有 13 个软件包没有被完全安装或卸载。
需要下载 0B/751kB 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 136471 个文件和目录。)
正预备替换 gnome-applets-data 2.30.0-0ubuntu2 (使用 .../gnome-applets-data_2.30.0-0ubuntu2_all.deb) ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 446, in <module>
public_packages[package].install(need_postinstall)
File "/usr/sbin/update-python-modules", line 109, in install
os.symlink(filename,destpath)
OSError: [Errno 20] Not a directory
dpkg:警告:原先的 pre-removal 脚本 返回了错误的退出状态码 1
dpkg - 现转而试用新软件包所带的脚本...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 446, in <module>
public_packages[package].install(need_postinstall)
File "/usr/sbin/update-python-modules", line 109, in install
os.symlink(filename,destpath)
OSError: [Errno 20] Not a directory
dpkg:处理 /var/cache/apt/archives/gnome-applets-data_2.30.0-0ubuntu2_all.deb (--unpack)时出错:
子进程 新的 pre-removal 脚本 返回了错误号 1
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 446, in <module>
public_packages[package].install(need_postinstall)
File "/usr/sbin/update-python-modules", line 109, in install
os.symlink(filename,destpath)
OSError: [Errno 20] Not a directory
dpkg: 作下列清理工作时发生错误:
子进程 已安装的 post-installation 脚本 返回了错误号 1
在处理时有错误发生:
/var/cache/apt/archives/gnome-applets-data_2.30.0-0ubuntu2_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
leslie@leslie-desktop:~$

不知是怎么回事,求解决办法,谢谢~


最后由 iwanderer 编辑于 2010-05-29 17:18,总共编辑了 2 次

页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求救!今天更新后系统异常!
帖子发表于 : 2010-05-26 18:44 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
up


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 求救!今天更新后系统异常!
帖子发表于 : 2010-05-26 18:54 
头像

注册: 2010-01-28 10:45
帖子: 19507
送出感谢: 6
接收感谢: 41
去新力得标记这个包gnome-applets-data重新安装试试


_________________

*********宁静致远*********
如果我说的有什么不对,请看签名第一行


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 求救!今天更新后系统异常!
帖子发表于 : 2010-05-26 18:58 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
按照LS说的做,然后出现:

正在设置 gnome-applets-data (2.30.0-0ubuntu2) ...
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 446, in <module>
public_packages[package].install(need_postinstall)
File "/usr/sbin/update-python-modules", line 109, in install
os.symlink(filename,destpath)
OSError: [Errno 20] Not a directory
dpkg:处理 gnome-applets-data (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 1
dpkg:依赖关系问题使得 gnome-applets 的配置工作不能继续:
gnome-applets 依赖于 gnome-applets-data (>= 2.30);然而:
软件包 gnome-applets-data 还没有被配置。
gnome-applets 依赖于 gnome-applets-data (<< 2.31);然而:
软件包 gnome-applets-data 还没有被配置。
dpkg:处理 gnome-applets (--configure)时出错:
依赖关系问题 - 仍未被配置
dpkg:依赖关系问题使得 ubuntu-desktop 的配置工作不能继续:
ubuntu-desktop 依赖于 gnome-applets;然而:
软件包 gnome-applets 还没有被配置。
dpkg:处理 ubuntu-desktop (--configure)时出错:
依赖关系问题 - 仍未被配置
没有写入 apport 报告,因为错误信息指示它是从上一个失败导致的。
没有写入 apport 报告,因为错误信息指示它是从上一个失败导致的。
在处理时有错误发生:
gnome-applets-data
gnome-applets
ubuntu-desktop


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 求救!今天更新后系统异常!
帖子发表于 : 2010-05-26 19:02 
头像

注册: 2009-10-20 21:13
帖子: 2089
地址: Pacific Western University
送出感谢: 0 次
接收感谢: 7
只用官方源的顠过。


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 求救!今天更新后系统异常!
帖子发表于 : 2010-05-26 23:22 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
提啊,怎么办怎么办哪~~~


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 求救!今天更新后很多程序无法启动!
帖子发表于 : 2010-05-27 12:57 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
今天安装chromium-codecs-ffmpeg的提示是:

正在解压缩将用于更替的包文件 chromium-codecs-ffmpeg ...
正在设置 python-gmenu (2.30.0-0ubuntu4) ...
Rebuilding /usr/share/applications/desktop.zh_CN.utf8.cache...
ERROR: Cannot import gmenu, is a package upgrade in progress?
Traceback (most recent call last):
File "/usr/sbin/update-python-modules", line 446, in <module>
public_packages[package].install(need_postinstall)
File "/usr/sbin/update-python-modules", line 109, in install
os.symlink(filename,destpath)
OSError: [Errno 20] Not a directory
dpkg:处理 python-gmenu (--configure)时出错:
子进程 已安装的 post-installation 脚本 返回了错误号 1
正在设置 libvpx0 (0.9.0-4~ucd1~lucid) ...

正在设置 chromium-codecs-ffmpeg (0.5+svn20100522r47988+47943+48268-0ubuntu1~ucd1~lucid) ...
正在处理用于 libc-bin 的触发器...
在处理时有错误发生:
python-gmenu
E: Sub-process /usr/bin/dpkg returned an error code (1)

-------------------

python-gmenu肯定有问题了,但是我从新立得卸载又重新安装了也不行。。
求达人啊~~~~


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 求救!今天更新后很多程序无法启动!
帖子发表于 : 2010-05-27 21:45 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
提~~~~


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 求救!今天更新后很多程序无法启动!
帖子发表于 : 2010-05-28 11:18 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
打开系统监视器,里面的进程如下:
附件:
Screenshot-1.png
Screenshot-1.png [ 124.2 KiB | 被浏览 538 次 ]


附件:
Screenshot-4.png
Screenshot-4.png [ 164.98 KiB | 被浏览 538 次 ]



大家看看缺了哪个,或有什么不正常的??
帮帮忙咯~~~


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 求救!今天更新后很多程序无法启动!
帖子发表于 : 2010-05-28 11:24 
头像

注册: 2006-08-30 20:54
帖子: 1216
地址: 廣州
送出感谢: 2
接收感谢: 1
幫頂,等神來


_________________
Intel G1610
Samsung DDR1333 4G
SOYO SY-I6H-L 4.1
Maxtor 250GB+Seagate 500GB
Nvidia GeForce 8500GT
Samsung SyncMaster S22B360
Ubuntu 10.04 LTS


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 求救!今天更新后很多程序无法启动!
帖子发表于 : 2010-05-28 11:30 
头像

注册: 2009-01-15 20:19
帖子: 103
送出感谢: 0 次
接收感谢: 0 次
谢LS~


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译